# StdoutOutputter

[![Gem Version](https://badge.fury.io/rb/stdout_outputter.svg)](http://badge.fury.io/rb/stdout_outputter)

The dead simple wrapper class for the `STDOUT.puts` calls. Useful during tests
when you want mock the output.

## Installation

Add this line to your application's Gemfile:

    gem 'stdout_outputter'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install stdout_outputter

## Usage

```
require 'stdout_outputter'

class Foo

  def initialize(outputter)
    @outputter = outputter
  end

  def bar
    ...
    @outputter.write 'bla bla bla'
    ...
  end

end

foo = Foo.new(StdoutOutputter::Outputter.new)
foo.bar     # prints 'bla bla bla'

```

## Versioning

See [semver.org][semver]

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request

[semver]: http://semver.org/
